
#ifndef __VUSBDEVICE_H_e25922918d5d40bc99895958f02024b4
#	define __VUSBDEVICE_H_e25922918d5d40bc99895958f02024b4 1

#	if  defined(__unix__)
#		include <usb.h>    /* this is libusb, see http://libusb.sourceforge.net/ */
#	else
#		if	(defined(_WIN32) || defined(_WIN64))
#			include <lusb0_usb.h>
#		else
#			error	unknown platform
#		endif
#	endif

#define USB_ERROR_NOTFOUND  1
#define USB_ERROR_ACCESS    2
#define USB_ERROR_IO        3
#define USB_ERROR_NOINIT    251

int vusbdevice_initialize(void);
int vusbdevice_finalize(void);

int usbGetStringAscii(usb_dev_handle *dev, int index, int langid, char *buf, int buflen);

/*
 * "usbOpenDevice" opens a spezial VUSB device.
 * The Device primary is identified by its idVendor:idProduct.
 * Because for most VUSB this is the same (free4all) 0x16C0:0x05DC, userdefinable identificationstrings are used here, too.
 */
int usbOpenDevice(usb_dev_handle **device, int vendor, int product, char *vendorName, char *productName, char *serial);

#endif
